Subject: [PATCH RESEND v2 00/12] clk/exynos convert clock IDs to macros

From: [email-masked] (Mike Turquette)
Date: Mon, 27 Jan 2014 13:49:44 -0800

Quoting Tomasz Figa (2014-01-07 07:17:22)
> Hi Mike,
> 
> On Tuesday 07 of January 2014 15:47:28 Andrzej Hajda wrote:
> > Hi,
> > 
> > This patch set adds header files with macros defining exynos clocks.
> > Then it converts dts files and drivers to use macros instead
> > of magic numbers or enums to describe clock bindings.
> > 
> > The patch set is rebased on the latest samsung-clk/samsung-next branch.
> > 
> > The patches are generated by script.
> > Many clocks I have verified by hand.
> > I have also tested it successfully on exynos4 based board.
> > 
> > This is the 2nd version of the patchset.
> > Changes:
> > - corrected devicetree mailing list,
> > - added comments to include/dt-bindings/clock/exynos4.h for
> >   clocks present only in particular chip,
> > - added tab alignement in headers,
> > - added comment to CLK_NR_CLKS,
> > - added copyright headers,
> > - split long lines in dts,
> > - corrected example in bindings/clock/exynos5250-clock.txt, to point
> >   appropriate clocks.
> 
> I believe this has been already acked before, so could you still take
> it for 3.14? For now I'd merge only the patches adding headers and
> updating clock drivers to avoid merge conflicts and then after
> release of 3.14-rc1 we could early merge dts patches for 3.15.

Hi Tomasz,

Let's go ahead and merge this after 3.14-rc1. I'll take it in when that
drops and the DTS data will go in during the same merge window.

Regards,
Mike

> What do you think?
> Best regards,
> Tomasz